package com.base.easyfilemanager.view

import android.content.Context
import android.view.LayoutInflater
import androidx.appcompat.app.AlertDialog
import com.base.easyfilemanager.databinding.DialogNotificationOpenAlertBinding

object NotificationOpenDialog {

    fun Context.showNotificationOpenDialog() {
        val binding = DialogNotificationOpenAlertBinding.inflate(LayoutInflater.from(this))
        val dialog = AlertDialog.Builder(this).setView(binding.root).create()

        dialog.setContentView(binding.root)
        dialog.setCanceledOnTouchOutside(true)
        dialog.show()
    }
}